Cloud APIs
/- Managed Planning Data Foundation
- Core Services
Indexer Service
- Re-index given records
Re-index given 'kind'
Full Re-index by data partition
Re-index given records
This API allows users to re-index the given records by providing record ids without re-ingesting the records via storage API. Required roles: users.datalake.admins
Security
bearer
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/indexer/v2/reindex/records
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/indexer/v2/reindex/records
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/indexer/v2/reindex/records
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/indexer/v2/reindex/records
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/indexer/v2/reindex/records
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/indexer/v2/reindex/records
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/indexer/v2/reindex/records
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/indexer/v2/reindex/records
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/indexer/v2/reindex/records
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/indexer/v2/reindex/records
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/indexer/v2/reindex/records
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/indexer/v2/reindex/records
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-indexer-service/reindex/records
curl -i -X POST \
https://as5.api.enterprisedata.slb.com/api/indexer/v2/reindex/records \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"recordIds": [
"string"
]
}'Response
{ "reIndexedRecords": [ "string" ], "notFoundRecords": [ "string" ] }